PredictorRegistry::PredictorRegistryException Class Reference

`#include <predictorRegistry.h>`

Inheritance diagram for PredictorRegistry::PredictorRegistryException:
Collaboration diagram for PredictorRegistry::PredictorRegistryException:

## Public Member Functions

| PredictorRegistryException (presage_error_code_t code, const std::string &desc) throw ()
virtual | ~PredictorRegistryException () throw ()
Public Member Functions inherited from PresageException
| PresageException (presage_error_code_t code, const std::string &msg) throw ()
virtual | ~PresageException () throw ()
virtual const char * | what () const throw ()
virtual const presage_error_code_t | code () const throw ()

## Private Member Functions

| PredictorRegistryException () throw ()

## Detailed Description

Definition at line 69 of file predictorRegistry.h.

## Constructor & Destructor Documentation

## PredictorRegistryException() [1/2]

PredictorRegistry::PredictorRegistryException::PredictorRegistryException | ( | presage_error_code_t | code,
|  | const std::string & | desc
| ) |  |
throw | ( |
| ) |  |

inline

Definition at line 71 of file predictorRegistry.h.

## ~PredictorRegistryException()

virtual PredictorRegistry::PredictorRegistryException::~PredictorRegistryException | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 72 of file predictorRegistry.h.

## PredictorRegistryException() [2/2]

PredictorRegistry::PredictorRegistryException::PredictorRegistryException | ( |  | ) |
throw | ( |
| ) |  |

inline private

Definition at line 75 of file predictorRegistry.h.

The documentation for this class was generated from the following file:

- /build/presage-hvZ4Ld/presage-0.9.1/src/lib/core/predictorRegistry.h